from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session

from app.db.session import get_db

router = APIRouter()


@router.get("", summary="Health check endpoint")
def health_check(db: Session = Depends(get_db)):
    """
    Health check endpoint that verifies the application is running
    and database connection is working
    """
    return {"status": "ok", "message": "Todo API is running"}